#encoding=utf-8 
# -*- coding: utf-8 -*- 


import os
import my_tools

INPUT = '/home/inputs'
OUTPUT = '/home/outputs'

# 目前需要手动创建 output目录 (下一版本修复)
if not os.path.exists(OUTPUT):
  print('output directory no exists')
  os.makedirs(OUTPUT)
else:
  print('output directory already exists')

# 通过环境变量获取 instance id。
# 如：运行任务时指定instanceCount（nodes）为10，则InstanceId从0开始，一直到9。
INSTANCE_ID = os.environ.get('BATCH_COMPUTE_DAG_INSTANCE_ID')


# read 0-input.txt
with open('%s/%s-input.txt' % (INPUT, INSTANCE_ID)) as f:
  input_data = f.read()

# deal with data 
result_data = my_tools.deal_with_data(input_data)

# write 0-output.txt
with open('%s/%s-output.txt' % (OUTPUT, INSTANCE_ID), 'w') as f:
  f.write('%s' % result_data)
